<template>
  <div class="recipes">
    <div class="fixed-container">
      <img src="../assets/images/recipes.jpg" class="fixed" />
    </div>
    <div class="overlay">
      <div class="search-div">
        <blockquote>Find a recipe</blockquote>
        <div class="search-container">
          <input type="text" v-on:keyup.enter="searchRecipe" v-model="search" placeholder="Search..." />
          <div class="search"></div>
        </div>
      </div>
      <div class="overlay-content" style="min-height:400px">
        <p>
          Here you’ll find healthy dishes that don’t sacrifice any of the flavor that can be found in their full-fat origins. People may think eating healthy is boring but that’s furthest from the truth. You can still enjoy delicious tasting meals with healthier alternatives. 
          We believe in the idea of everything in moderation. Scroll down to find out more!
        </p>
        <div class="recipe-cards">
          <div v-if="Object.keys(recipes_list).length != 0">
            <div class="recipe-card" v-for="recipes in recipes_list" :key="recipes.id">
            <b-card no-body class="overflow-hidden">
              <b-row no-gutters>
                <b-col md="6">
                  <b-card-img
                    :src="recipes.img_url"
                    alt="Image"
                    class="rounded-0"
                  ></b-card-img>
                </b-col>
                <b-col md="6">
                  <b-card-body>
                    <a :href="recipes.source_url" target="_blank">
                       <b-card-text>
                      {{recipes.title}}
                    </b-card-text>
                    </a>
                  </b-card-body>
                </b-col>
              </b-row>
            </b-card>
          </div>
          </div>
        </div>
      </div>
    </div>
    
  </div>
</template>
<script>
export default {
  data: function () {
      return {
        recipes_list:[],
        search: ''
      }
    },
    mounted() {
      this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/find-all-recipe`)
          .then(response => {
            debugger
            var that = this
            if(response.data.status == 200) {
              debugger
                console.log('response-->', response.data.data);
                this.recipes_list = response.data.data
                
            }
            else {
              console.log('No recipe found');
            }
          })
          .catch(error => {
            console.log('error', error);
          })
    },
    methods:{
      searchRecipe: function() {
        this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/search-recipe`,{search:this.search})
          .then(response => {
            debugger
            var that = this
            if(response.data.status == 200) {
              debugger
                console.log('response-->', response.data.data);
                this.recipes_list = response.data.data
                
            }
            else {
              console.log('No recipe found');
            }
          })
          .catch(error => {
            console.log('error', error);
          })
      }
    }
}
</script>
<style>
.view {
  background: #f3e367 !important;
}
.recipe-cards {
  width: 40%;
  margin: auto;
}
.recipe-card {
  display: inline-flex;
  margin: 20px 0;
}
.search-container {
  position: absolute;
  float: left;
  top: 100px;
  left: 40%;
  right: 0;
  bottom: 0;
  width: 300px;
  height: 100px;
}
.search-container .search {
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 80px;
  height: 80px;
  background: #f3e367;
  border-radius: 50%;
  transition: all 1s;
  z-index: 4;
  box-shadow: 0 0 25px 0 rgba(0, 0, 0, 0.4);
}
.search-container .search:hover {
  cursor: pointer;
}
.search-container .search::before {
  content: "";
  position: absolute;
  margin: auto;
  top: 22px;
  right: 0;
  bottom: 0;
  left: 22px;
  width: 12px;
  height: 2px;
  background: white;
  transform: rotate(45deg);
  transition: all 0.5s;
}
.search-container .search::after {
  content: "";
  position: absolute;
  margin: auto;
  top: -5px;
  right: 0;
  bottom: 0;
  left: -5px;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  border: 2px solid white;
  transition: all 0.5s;
}
.search-container input {
  font-family: "Inconsolata", monospace;
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 50px;
  height: 50px;
  outline: none;
  border: none;
  background: #f3e367;
  color: white;
  text-shadow: 0 0 10px #f3e367;
  padding: 0 80px 0 20px;
  border-radius: 30px;
  box-shadow: 0 0 25px 0 #f3e367, 0 20px 25px 0 rgba(0, 0, 0, 0.2);
  transition: all 1s;
  opacity: 0;
  z-index: 5;
  font-weight: bolder;
  letter-spacing: 0.1em;
}
.search-container input:hover {
  cursor: pointer;
}
.search-container input:focus {
  width: 300px;
  opacity: 1;
  cursor: text;
}
.search-container input:focus ~ .search {
  right: -250px;
  background: #151515;
  z-index: 6;
}
.search-container input:focus ~ .search::before {
  top: 0;
  left: 0;
  width: 25px;
}
.search-container input:focus ~ .search::after {
  top: 0;
  left: 0;
  width: 25px;
  height: 2px;
  border: none;
  background: white;
  border-radius: 0%;
  transform: rotate(-45deg);
}
.search-container input::placeholder {
  color: white;
  opacity: 0.5;
  font-weight: bolder;
}

.search-div {
  text-align: center;
}
blockquote {
  font-size: 70px;
  font-weight: bolder;
  color: white;
}
.fixed-container {
  height: 400px;
}
.fixed {
  width: 100%;
  position: fixed;
  background-size: cover;
}
.overlay {
  position: relative;
  z-index: 4;
  opacity: 0.3;
  width: 100%;
  opacity: 1;
}
.overlay-content {
  background: white;
  margin-top: 10%;
  padding: 50px;
}
.overlay-content p {
  font-size: 20px;
  color: black;
}
.recipes-banner img {
  display: block;
  width: 100%;
  /* height: 700px; */
  position: absolute;
  background: rgba(0, 0, 0, 0.7);
  top: 0;
  text-align: center;
}
.recipes_text {
  top: 30%;
  position: absolute;
  width: 70%;
  max-width: 70%;

  color: black;
  font-weight: 700;

  margin-bottom: 54px;
  text-transform: none;
  letter-spacing: 2px;
  line-height: 1.1em;
  left: 35%;
}
.recipes_text p {
  font-family: montserrat, sans-serif;
  color: white;
  font-size: 80px;
}
</style>
